source: Makefile.in@ 47a8d17

ADT aaron-thesis arm-eh ast-experimental cleanup-dtors deferred_resn demangler enum forall-pointer-decay jacob/cs343-translation jenkins-sandbox new-ast new-ast-unique-expr new-env no_list persistent-indexer pthread-emulation qualifiedEnum resolv-new stuck-waitfor-destruct with_gc
Last change on this file since 47a8d17 was 47a8d17, checked in by Thierry Delisle <tdelisle@…>, 9 years ago

cfa version is now based on file of the same name

  • Property mode set to 100644
File size: 23.3 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40 $(top_srcdir)/configure INSTALL automake/compile \
41 automake/depcomp automake/install-sh automake/missing \
42 automake/ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46 $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53AM_V_GEN = $(am__v_GEN_@AM_V@)
54am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
55am__v_GEN_0 = @echo " GEN " $@;
56AM_V_at = $(am__v_at_@AM_V@)
57am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
58am__v_at_0 = @
59SOURCES =
60DIST_SOURCES =
61RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
62 html-recursive info-recursive install-data-recursive \
63 install-dvi-recursive install-exec-recursive \
64 install-html-recursive install-info-recursive \
65 install-pdf-recursive install-ps-recursive install-recursive \
66 installcheck-recursive installdirs-recursive pdf-recursive \
67 ps-recursive uninstall-recursive
68RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
69 distclean-recursive maintainer-clean-recursive
70AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
71 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
72 distdir dist dist-all distcheck
73ETAGS = etags
74CTAGS = ctags
75DIST_SUBDIRS = $(SUBDIRS)
76DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77distdir = $(PACKAGE)-$(VERSION)
78top_distdir = $(distdir)
79am__remove_distdir = \
80 if test -d "$(distdir)"; then \
81 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
82 && rm -rf "$(distdir)" \
83 || { sleep 5 && rm -rf "$(distdir)"; }; \
84 else :; fi
85am__relativize = \
86 dir0=`pwd`; \
87 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
88 sed_rest='s,^[^/]*/*,,'; \
89 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
90 sed_butlast='s,/*[^/]*$$,,'; \
91 while test -n "$$dir1"; do \
92 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
93 if test "$$first" != "."; then \
94 if test "$$first" = ".."; then \
95 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
96 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
97 else \
98 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
99 if test "$$first2" = "$$first"; then \
100 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
101 else \
102 dir2="../$$dir2"; \
103 fi; \
104 dir0="$$dir0"/"$$first"; \
105 fi; \
106 fi; \
107 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
108 done; \
109 reldir="$$dir2"
110DIST_ARCHIVES = $(distdir).tar.gz
111GZIP_ENV = --best
112distuninstallcheck_listfiles = find . -type f -print
113am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
114 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
115distcleancheck_listfiles = find . -type f -print
116ACLOCAL = @ACLOCAL@
117ALLOCA = @ALLOCA@
118AMTAR = @AMTAR@
119AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120AUTOCONF = @AUTOCONF@
121AUTOHEADER = @AUTOHEADER@
122AUTOMAKE = @AUTOMAKE@
123AWK = @AWK@
124BACKEND_CC = @BACKEND_CC@ # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
125CC = @CC@
126CCDEPMODE = @CCDEPMODE@
127CFA_BACKEND_CC = @CFA_BACKEND_CC@
128CFA_BINDIR = @CFA_BINDIR@
129CFA_FLAGS = @CFA_FLAGS@
130CFA_INCDIR = @CFA_INCDIR@
131CFA_LIBDIR = @CFA_LIBDIR@
132CFA_PREFIX = @CFA_PREFIX@
133CFLAGS = @CFLAGS@
134CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
135CPP = @CPP@
136CPPFLAGS = @CPPFLAGS@
137CXX = @CXX@
138CXXDEPMODE = @CXXDEPMODE@
139CXXFLAGS = @CXXFLAGS@
140CYGPATH_W = @CYGPATH_W@
141DEFS = @DEFS@
142DEPDIR = @DEPDIR@
143ECHO_C = @ECHO_C@
144ECHO_N = @ECHO_N@
145ECHO_T = @ECHO_T@
146EGREP = @EGREP@
147EXEEXT = @EXEEXT@
148GREP = @GREP@
149INSTALL = @INSTALL@
150INSTALL_DATA = @INSTALL_DATA@
151INSTALL_PROGRAM = @INSTALL_PROGRAM@
152INSTALL_SCRIPT = @INSTALL_SCRIPT@
153INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
154LDFLAGS = @LDFLAGS@
155LEX = @LEX@
156LEXLIB = @LEXLIB@
157LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
158LIBOBJS = @LIBOBJS@
159LIBS = @LIBS@
160LTLIBOBJS = @LTLIBOBJS@
161MAINT = @MAINT@
162MAKEINFO = @MAKEINFO@
163MKDIR_P = @MKDIR_P@
164OBJEXT = @OBJEXT@
165PACKAGE = @PACKAGE@
166PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
167PACKAGE_NAME = @PACKAGE_NAME@
168PACKAGE_STRING = @PACKAGE_STRING@
169PACKAGE_TARNAME = @PACKAGE_TARNAME@
170PACKAGE_URL = @PACKAGE_URL@
171PACKAGE_VERSION = @PACKAGE_VERSION@
172PATH_SEPARATOR = @PATH_SEPARATOR@
173RANLIB = @RANLIB@
174SET_MAKE = @SET_MAKE@
175SHELL = @SHELL@
176STRIP = @STRIP@
177VERSION = @VERSION@
178YACC = @YACC@
179YFLAGS = @YFLAGS@
180abs_builddir = @abs_builddir@
181abs_srcdir = @abs_srcdir@
182abs_top_builddir = @abs_top_builddir@
183abs_top_srcdir = @abs_top_srcdir@
184ac_ct_CC = @ac_ct_CC@
185ac_ct_CXX = @ac_ct_CXX@
186am__include = @am__include@
187am__leading_dot = @am__leading_dot@
188am__quote = @am__quote@
189am__tar = @am__tar@
190am__untar = @am__untar@
191bindir = @bindir@
192build_alias = @build_alias@
193builddir = @builddir@
194datadir = @datadir@
195datarootdir = @datarootdir@
196docdir = @docdir@
197dvidir = @dvidir@
198exec_prefix = @exec_prefix@
199host_alias = @host_alias@
200htmldir = @htmldir@
201includedir = @includedir@
202infodir = @infodir@
203install_sh = @install_sh@
204libdir = @libdir@
205libexecdir = @libexecdir@
206localedir = @localedir@
207localstatedir = @localstatedir@
208mandir = @mandir@
209mkdir_p = @mkdir_p@
210oldincludedir = @oldincludedir@
211pdfdir = @pdfdir@
212prefix = @prefix@
213program_transform_name = @program_transform_name@
214psdir = @psdir@
215sbindir = @sbindir@
216sharedstatedir = @sharedstatedir@
217srcdir = @srcdir@
218sysconfdir = @sysconfdir@
219target_alias = @target_alias@
220top_build_prefix = @top_build_prefix@
221top_builddir = @top_builddir@
222top_srcdir = @top_srcdir@
223AUTOMAKE_OPTIONS = foreign # do not require all the GNU file names
224SUBDIRS = src/driver src src/libcfa # order important, src before libcfa because cfa-cpp used to build prelude
225EXTRA_DIST = Docs # non-source files
226MAINTAINERCLEANFILES = lib/* bin/* src/examples/.deps/* src/tests/.deps/* src/tests/.out/*
227all: config.h
228 $(MAKE) $(AM_MAKEFLAGS) all-recursive
229
230.SUFFIXES:
231am--refresh: Makefile
232 @:
233$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
234 @for dep in $?; do \
235 case '$(am__configure_deps)' in \
236 *$$dep*) \
237 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
238 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
239 && exit 0; \
240 exit 1;; \
241 esac; \
242 done; \
243 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
244 $(am__cd) $(top_srcdir) && \
245 $(AUTOMAKE) --foreign Makefile
246.PRECIOUS: Makefile
247Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
248 @case '$?' in \
249 *config.status*) \
250 echo ' $(SHELL) ./config.status'; \
251 $(SHELL) ./config.status;; \
252 *) \
253 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
254 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
255 esac;
256
257$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
258 $(SHELL) ./config.status --recheck
259
260$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
261 $(am__cd) $(srcdir) && $(AUTOCONF)
262$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
263 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
264$(am__aclocal_m4_deps):
265
266config.h: stamp-h1
267 @if test ! -f $@; then rm -f stamp-h1; else :; fi
268 @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
269
270stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
271 @rm -f stamp-h1
272 cd $(top_builddir) && $(SHELL) ./config.status config.h
273$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
274 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
275 rm -f stamp-h1
276 touch $@
277
278distclean-hdr:
279 -rm -f config.h stamp-h1
280
281# This directory's subdirectories are mostly independent; you can cd
282# into them and run `make' without going through this Makefile.
283# To change the values of `make' variables: instead of editing Makefiles,
284# (1) if the variable is set in `config.status', edit `config.status'
285# (which will cause the Makefiles to be regenerated when you run `make');
286# (2) otherwise, pass the desired values on the `make' command line.
287$(RECURSIVE_TARGETS):
288 @fail= failcom='exit 1'; \
289 for f in x $$MAKEFLAGS; do \
290 case $$f in \
291 *=* | --[!k]*);; \
292 *k*) failcom='fail=yes';; \
293 esac; \
294 done; \
295 dot_seen=no; \
296 target=`echo $@ | sed s/-recursive//`; \
297 list='$(SUBDIRS)'; for subdir in $$list; do \
298 echo "Making $$target in $$subdir"; \
299 if test "$$subdir" = "."; then \
300 dot_seen=yes; \
301 local_target="$$target-am"; \
302 else \
303 local_target="$$target"; \
304 fi; \
305 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
306 || eval $$failcom; \
307 done; \
308 if test "$$dot_seen" = "no"; then \
309 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
310 fi; test -z "$$fail"
311
312$(RECURSIVE_CLEAN_TARGETS):
313 @fail= failcom='exit 1'; \
314 for f in x $$MAKEFLAGS; do \
315 case $$f in \
316 *=* | --[!k]*);; \
317 *k*) failcom='fail=yes';; \
318 esac; \
319 done; \
320 dot_seen=no; \
321 case "$@" in \
322 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
323 *) list='$(SUBDIRS)' ;; \
324 esac; \
325 rev=''; for subdir in $$list; do \
326 if test "$$subdir" = "."; then :; else \
327 rev="$$subdir $$rev"; \
328 fi; \
329 done; \
330 rev="$$rev ."; \
331 target=`echo $@ | sed s/-recursive//`; \
332 for subdir in $$rev; do \
333 echo "Making $$target in $$subdir"; \
334 if test "$$subdir" = "."; then \
335 local_target="$$target-am"; \
336 else \
337 local_target="$$target"; \
338 fi; \
339 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
340 || eval $$failcom; \
341 done && test -z "$$fail"
342tags-recursive:
343 list='$(SUBDIRS)'; for subdir in $$list; do \
344 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
345 done
346ctags-recursive:
347 list='$(SUBDIRS)'; for subdir in $$list; do \
348 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
349 done
350
351ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
352 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
353 unique=`for i in $$list; do \
354 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
355 done | \
356 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
357 END { if (nonempty) { for (i in files) print i; }; }'`; \
358 mkid -fID $$unique
359tags: TAGS
360
361TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
362 $(TAGS_FILES) $(LISP)
363 set x; \
364 here=`pwd`; \
365 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
366 include_option=--etags-include; \
367 empty_fix=.; \
368 else \
369 include_option=--include; \
370 empty_fix=; \
371 fi; \
372 list='$(SUBDIRS)'; for subdir in $$list; do \
373 if test "$$subdir" = .; then :; else \
374 test ! -f $$subdir/TAGS || \
375 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
376 fi; \
377 done; \
378 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
379 unique=`for i in $$list; do \
380 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
381 done | \
382 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
383 END { if (nonempty) { for (i in files) print i; }; }'`; \
384 shift; \
385 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
386 test -n "$$unique" || unique=$$empty_fix; \
387 if test $$# -gt 0; then \
388 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
389 "$$@" $$unique; \
390 else \
391 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
392 $$unique; \
393 fi; \
394 fi
395ctags: CTAGS
396CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
397 $(TAGS_FILES) $(LISP)
398 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
399 unique=`for i in $$list; do \
400 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
401 done | \
402 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
403 END { if (nonempty) { for (i in files) print i; }; }'`; \
404 test -z "$(CTAGS_ARGS)$$unique" \
405 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
406 $$unique
407
408GTAGS:
409 here=`$(am__cd) $(top_builddir) && pwd` \
410 && $(am__cd) $(top_srcdir) \
411 && gtags -i $(GTAGS_ARGS) "$$here"
412
413distclean-tags:
414 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
415
416distdir: $(DISTFILES)
417 $(am__remove_distdir)
418 test -d "$(distdir)" || mkdir "$(distdir)"
419 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
420 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
421 list='$(DISTFILES)'; \
422 dist_files=`for file in $$list; do echo $$file; done | \
423 sed -e "s|^$$srcdirstrip/||;t" \
424 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
425 case $$dist_files in \
426 */*) $(MKDIR_P) `echo "$$dist_files" | \
427 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
428 sort -u` ;; \
429 esac; \
430 for file in $$dist_files; do \
431 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
432 if test -d $$d/$$file; then \
433 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
434 if test -d "$(distdir)/$$file"; then \
435 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
436 fi; \
437 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
438 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
439 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
440 fi; \
441 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
442 else \
443 test -f "$(distdir)/$$file" \
444 || cp -p $$d/$$file "$(distdir)/$$file" \
445 || exit 1; \
446 fi; \
447 done
448 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
449 if test "$$subdir" = .; then :; else \
450 test -d "$(distdir)/$$subdir" \
451 || $(MKDIR_P) "$(distdir)/$$subdir" \
452 || exit 1; \
453 fi; \
454 done
455 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
456 if test "$$subdir" = .; then :; else \
457 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
458 $(am__relativize); \
459 new_distdir=$$reldir; \
460 dir1=$$subdir; dir2="$(top_distdir)"; \
461 $(am__relativize); \
462 new_top_distdir=$$reldir; \
463 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
464 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
465 ($(am__cd) $$subdir && \
466 $(MAKE) $(AM_MAKEFLAGS) \
467 top_distdir="$$new_top_distdir" \
468 distdir="$$new_distdir" \
469 am__remove_distdir=: \
470 am__skip_length_check=: \
471 am__skip_mode_fix=: \
472 distdir) \
473 || exit 1; \
474 fi; \
475 done
476 -test -n "$(am__skip_mode_fix)" \
477 || find "$(distdir)" -type d ! -perm -755 \
478 -exec chmod u+rwx,go+rx {} \; -o \
479 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
480 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
481 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
482 || chmod -R a+r "$(distdir)"
483dist-gzip: distdir
484 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
485 $(am__remove_distdir)
486
487dist-bzip2: distdir
488 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
489 $(am__remove_distdir)
490
491dist-lzip: distdir
492 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
493 $(am__remove_distdir)
494
495dist-lzma: distdir
496 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
497 $(am__remove_distdir)
498
499dist-xz: distdir
500 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
501 $(am__remove_distdir)
502
503dist-tarZ: distdir
504 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
505 $(am__remove_distdir)
506
507dist-shar: distdir
508 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
509 $(am__remove_distdir)
510
511dist-zip: distdir
512 -rm -f $(distdir).zip
513 zip -rq $(distdir).zip $(distdir)
514 $(am__remove_distdir)
515
516dist dist-all: distdir
517 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
518 $(am__remove_distdir)
519
520# This target untars the dist file and tries a VPATH configuration. Then
521# it guarantees that the distribution is self-contained by making another
522# tarfile.
523distcheck: dist
524 case '$(DIST_ARCHIVES)' in \
525 *.tar.gz*) \
526 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
527 *.tar.bz2*) \
528 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
529 *.tar.lzma*) \
530 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
531 *.tar.lz*) \
532 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
533 *.tar.xz*) \
534 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
535 *.tar.Z*) \
536 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
537 *.shar.gz*) \
538 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
539 *.zip*) \
540 unzip $(distdir).zip ;;\
541 esac
542 chmod -R a-w $(distdir); chmod a+w $(distdir)
543 mkdir $(distdir)/_build
544 mkdir $(distdir)/_inst
545 chmod a-w $(distdir)
546 test -d $(distdir)/_build || exit 0; \
547 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
548 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
549 && am__cwd=`pwd` \
550 && $(am__cd) $(distdir)/_build \
551 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
552 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
553 $(DISTCHECK_CONFIGURE_FLAGS) \
554 && $(MAKE) $(AM_MAKEFLAGS) \
555 && $(MAKE) $(AM_MAKEFLAGS) dvi \
556 && $(MAKE) $(AM_MAKEFLAGS) check \
557 && $(MAKE) $(AM_MAKEFLAGS) install \
558 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
559 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
560 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
561 distuninstallcheck \
562 && chmod -R a-w "$$dc_install_base" \
563 && ({ \
564 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
565 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
566 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
567 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
568 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
569 } || { rm -rf "$$dc_destdir"; exit 1; }) \
570 && rm -rf "$$dc_destdir" \
571 && $(MAKE) $(AM_MAKEFLAGS) dist \
572 && rm -rf $(DIST_ARCHIVES) \
573 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
574 && cd "$$am__cwd" \
575 || exit 1
576 $(am__remove_distdir)
577 @(echo "$(distdir) archives ready for distribution: "; \
578 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
579 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
580distuninstallcheck:
581 @test -n '$(distuninstallcheck_dir)' || { \
582 echo 'ERROR: trying to run $@ with an empty' \
583 '$$(distuninstallcheck_dir)' >&2; \
584 exit 1; \
585 }; \
586 $(am__cd) '$(distuninstallcheck_dir)' || { \
587 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
588 exit 1; \
589 }; \
590 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
591 || { echo "ERROR: files left after uninstall:" ; \
592 if test -n "$(DESTDIR)"; then \
593 echo " (check DESTDIR support)"; \
594 fi ; \
595 $(distuninstallcheck_listfiles) ; \
596 exit 1; } >&2
597distcleancheck: distclean
598 @if test '$(srcdir)' = . ; then \
599 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
600 exit 1 ; \
601 fi
602 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
603 || { echo "ERROR: files left in build directory after distclean:" ; \
604 $(distcleancheck_listfiles) ; \
605 exit 1; } >&2
606check-am: all-am
607check: check-recursive
608all-am: Makefile config.h
609installdirs: installdirs-recursive
610installdirs-am:
611install: install-recursive
612install-exec: install-exec-recursive
613install-data: install-data-recursive
614uninstall: uninstall-recursive
615
616install-am: all-am
617 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
618
619installcheck: installcheck-recursive
620install-strip:
621 if test -z '$(STRIP)'; then \
622 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
623 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
624 install; \
625 else \
626 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
627 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
628 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
629 fi
630mostlyclean-generic:
631
632clean-generic:
633
634distclean-generic:
635 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
636 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
637
638maintainer-clean-generic:
639 @echo "This command is intended for maintainers to use"
640 @echo "it deletes files that may require special tools to rebuild."
641 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
642clean: clean-recursive
643
644clean-am: clean-generic mostlyclean-am
645
646distclean: distclean-recursive
647 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
648 -rm -f Makefile
649distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
650
651dvi: dvi-recursive
652
653dvi-am:
654
655html: html-recursive
656
657html-am:
658
659info: info-recursive
660
661info-am:
662
663install-data-am:
664
665install-dvi: install-dvi-recursive
666
667install-dvi-am:
668
669install-exec-am:
670
671install-html: install-html-recursive
672
673install-html-am:
674
675install-info: install-info-recursive
676
677install-info-am:
678
679install-man:
680
681install-pdf: install-pdf-recursive
682
683install-pdf-am:
684
685install-ps: install-ps-recursive
686
687install-ps-am:
688
689installcheck-am:
690
691maintainer-clean: maintainer-clean-recursive
692 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
693 -rm -rf $(top_srcdir)/autom4te.cache
694 -rm -f Makefile
695maintainer-clean-am: distclean-am maintainer-clean-generic
696
697mostlyclean: mostlyclean-recursive
698
699mostlyclean-am: mostlyclean-generic
700
701pdf: pdf-recursive
702
703pdf-am:
704
705ps: ps-recursive
706
707ps-am:
708
709uninstall-am:
710
711.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
712 ctags-recursive install-am install-strip tags-recursive
713
714.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
715 all all-am am--refresh check check-am clean clean-generic \
716 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
717 dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
718 distcheck distclean distclean-generic distclean-hdr \
719 distclean-tags distcleancheck distdir distuninstallcheck dvi \
720 dvi-am html html-am info info-am install install-am \
721 install-data install-data-am install-dvi install-dvi-am \
722 install-exec install-exec-am install-html install-html-am \
723 install-info install-info-am install-man install-pdf \
724 install-pdf-am install-ps install-ps-am install-strip \
725 installcheck installcheck-am installdirs installdirs-am \
726 maintainer-clean maintainer-clean-generic mostlyclean \
727 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
728 uninstall uninstall-am
729
730
731# Tell versions [3.59,3.63) of GNU make to not export all variables.
732# Otherwise a system limit (for SysV at least) may be exceeded.
733.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.